<?php
class mysqlpersona {
  private $usuario;
  private $servidor;
  private $password;
  private $base_datos;
  private $conexion;
  private $result;
  var $flag = false;
  static $_instance;
  function __construct(){
    require_once ("configdatos.php");
    $this->usuario= USER;
    $this->password= PASS;
    $this->servidor= HOST;
    $this->base_datos= DB;
    $this->conectar();
  }
  

//CUANDO ES PROPIO ES 1 , CUANDO NO ES PROPIO ES 0
public function getPersonaEmpresa($id_persona){
 $querypersona = $this->read("SELECT p.PROPIO FROM tblpropietarios po 
                              INNER JOIN tblpropiedades pro ON pro.ID_PROPIEDAD = po.ID_PROPIEDAD 
                              INNER JOIN tblconfiguracionetapas ce ON ce.ID_DISENOETAPA = pro.ID_DISENOETAPA 
                              INNER JOIN tbletapas e ON e.ID_ETAPA = ce.ID_ETAPA
                              INNER JOIN tblproyectos p ON p.ID_PROYECTO = e.ID_PROYECTO
                              WHERE po.ID_PERSONA = '$id_persona' AND p.PROPIO = '1'");
return $querypersona;
}

  public function getPersonasNatural($like){
    $querypersona = $this->read("SELECT p.ID_PERSONA, p.ID_TIPOPERSONA,
                                       p.RUT, p.EMAIL, p.FEC_REGISTRO,n.NOMBRE,n.APE_PATERNO
                                       FROM tblpersonas p
                                       INNER JOIN tblpernaturales n ON n.ID_PERNATURAL = p.ID_PERSONA
                                       WHERE n.NOMBRE LIKE '$like%' AND ID_TIPOPERSONA = '1'");
      return $querypersona;
    }
  public function getPersonaID($id_persona){
      $querypersona = $this->read("SELECT p.ID_PERSONA, p.ID_TIPOPERSONA, p.ID_PERFIL, p.RUT, p.DIRECCION, p.TEL_FIJO, p.EMAIL, 
                                      p.FEC_REGISTRO, p.USUARIO, p.INICIALES, p.ESTADO, p.CONTRASEÑA,pe.PERFIL,t.TIPOPERSONA,
                                      n.NOMBRE, n.APE_PATERNO, n.APE_MATERNO, n.CELULAR, n.TEL_OFICINA                        
                                      FROM tblpersonas p 
                                      INNER JOIN tblperfiles pe ON pe.ID_PERFIL = p.ID_PERFIL
                                      INNER JOIN tbltipopersonas t ON t.ID_TIPOPERSONA = p.ID_TIPOPERSONA
                                      INNER JOIN tblpernaturales n ON n.ID_PERNATURAL = p.ID_PERSONA
                                      WHERE p.ID_PERSONA ='$id_persona'");

     return $querypersona;
  }

    public function getPersonaBYRUT($rut){
     $querypersona =$this->read("SELECT p.ID_PERSONA, p.ID_TIPOPERSONA, p.ID_PERFIL, p.RUT, p.DIRECCION, p.TEL_FIJO, p.EMAIL, 
                                      p.FEC_REGISTRO, p.USUARIO, p.INICIALES, p.ESTADO, p.CONTRASEÑA,pe.PERFIL,t.TIPOPERSONA,
                                      n.NOMBRE, n.APE_PATERNO, n.APE_MATERNO, n.CELULAR, n.TEL_OFICINA                        
                                FROM tblpersonas p 
                                INNER JOIN tblperfiles pe ON pe.ID_PERFIL = p.ID_PERFIL
                                INNER JOIN tbltipopersonas t ON t.ID_TIPOPERSONA = p.ID_TIPOPERSONA
                                INNER JOIN tblpernaturales n ON n.ID_PERNATURAL = p.ID_PERSONA WHERE p.RUT ='$rut'");
    return $querypersona;
  }
  
  public function getPersonaIDTICKET($id_ticket){
     $querypersona =$this->read("SELECT p.ID_PERSONA, p.ID_TIPOPERSONA, p.ID_PERFIL, p.RUT, p.DIRECCION, p.TEL_FIJO, p.EMAIL, 
                                      p.FEC_REGISTRO, p.USUARIO, p.INICIALES, p.ESTADO, p.CONTRASEÑA,pe.PERFIL,t.TIPOPERSONA,
                                      n.NOMBRE, n.APE_PATERNO, n.APE_MATERNO, n.CELULAR, n.TEL_OFICINA ,ln.FALTAS                       
                                  FROM tblpersonas p 
                                  INNER JOIN tbltickets ti ON ti.ID_PERSONA = p.ID_PERSONA 
                                  INNER JOIN tblperfiles pe ON pe.ID_PERFIL = p.ID_PERFIL
                                  INNER JOIN tbltipopersonas t ON t.ID_TIPOPERSONA = p.ID_TIPOPERSONA
                                  INNER JOIN tblpernaturales n ON n.ID_PERNATURAL = p.ID_PERSONA 
                                  LEFT JOIN tbllistanegras ln ON ln.ID_PERSONA = p.ID_PERSONA
                                  WHERE ti.ID_TICKET ='$id_ticket'");
    return $querypersona;
  }

    public function getpropietario($id_ticket){
     $querypersona =$this->read("SELECT  p.ID_PERSONA, p.ID_TIPOPERSONA, p.ID_PERFIL, p.RUT, p.DIRECCION, p.TEL_FIJO, p.EMAIL, 
                                      p.FEC_REGISTRO, p.USUARIO, p.INICIALES, p.ESTADO, p.CONTRASEÑA,pe.PERFIL,ti.TIPOPERSONA,
                                      n.NOMBRE, n.APE_PATERNO, n.APE_MATERNO, n.CELULAR, n.TEL_OFICINA ,ln.FALTAS  
                                      FROM tbltickets t
                                      INNER JOIN tblpropietarios pro ON pro.ID_PROPIEDAD = t.ID_PROPIEDAD
                                      INNER JOIN tblpersonas p ON p.ID_PERSONA = pro.ID_PERSONA
                                      INNER JOIN tblperfiles pe ON pe.ID_PERFIL = p.ID_PERFIL
                                      INNER JOIN tbltipopersonas ti ON ti.ID_TIPOPERSONA = p.ID_TIPOPERSONA
                                      INNER JOIN tblpernaturales n ON n.ID_PERNATURAL = p.ID_PERSONA 
                                      LEFT JOIN tbllistanegras ln ON ln.ID_PERSONA = p.ID_PERSONA
                                      WHERE t.ID_TICKET = '$id_ticket'");
    return $querypersona;
  }


  public function getPropiedades($id_persona){
    $querypersona = $this->read("SELECT pro.ID_PROPIEDAD,pro.ID_MODELO,pro.NUMERO,pro.PISO,m.ABREVIATURA,m.SUP_UTIL,m.SUP_TERRAZA,m.SUP_CONSTRUIDA,
                                  mu.ABREVIATURA AS Edificio,mu.NUM_PISOS,mu.NUM_SUBTERRANEOS,e.ETAPA,p.PROYECTO,p.ID_PROYECTO,t.TIPOPROPIEDAD,p.PROPIO
                                FROM tblpropietarios po
                                INNER JOIN tblpropiedades pro ON pro.ID_PROPIEDAD = po.ID_PROPIEDAD
                                INNER JOIN tblmodelopropiedades m ON m.ID_MODELO = pro.ID_MODELO
                                INNER JOIN tbltipopropiedades t ON t.ID_TIPOPROPIEDAD = m.ID_TIPOPROPIEDAD
                                INNER JOIN tblconfiguracionetapas ce ON ce.ID_DISENOETAPA = pro.ID_DISENOETAPA
                                INNER JOIN tblmodelounidadconstrucciones mu ON mu.ID_MODELOUNIDADCONSTRUCCION = ce.ID_MODELOUNIDADCONSTRUCCION
                                INNER JOIN tbletapas e ON e.ID_ETAPA = ce.ID_ETAPA
                                INNER JOIN tblproyectos p  ON  p.ID_PROYECTO = e.ID_PROYECTO
                                INNER JOIN tblpersonas per ON per.ID_PERSONA = po.ID_PERSONA
                                INNER JOIN tblpernaturales pern ON pern.ID_PERNATURAL = per.ID_PERSONA
                                WHERE po.ID_PERSONA = '$id_persona'");
    return $querypersona;
  }
  //SABER LOS PENDIENTES QUE TIENE EN HORAS
  public function getPendientes($id_persona){
     $querypendientes = $this->read("SELECT t.ID_TICKET,
                                            po.PROYECTO,
                                            p.NUMERO,
                                            po.ID_PROYECTO,
                                            c.ID_CALENDARIO,
                                            c.ID_TIPOCALENDARIO,
                                            c.FEC_INICIO,
                                            DATE_FORMAT(c.FEC_INICIO,'%d/%m/%Y') AS FECHAPOSTVENTA,
                                            DATE_FORMAT(c.FEC_INICIO,' %H:%i:%s') AS HORAINICIO,
                                            DATE_FORMAT(c.FEC_FIN,' %H:%i:%s') AS HORAFIN,
                                            DATE_FORMAT(t.FEC_REGISTRO,'%d/%m/%Y %H:%i:%s') AS FEC_REGISTRO,
                                            DATE_FORMAT(c.FEC_INICIO,'%d/%m/%Y %H:%i:%s') AS HORAINICIOCONFECHA,
                                            t.CANTIDAD,
                                            t.ID_TIPOTICKET,
                                            m.ABREVIATURA,
                                            tp.TIPOPROPIEDAD,
                                            e.ETAPA,
                                            me.ABREVIATURA AS Edificio,
                                            tt.ID_TIPOTICKET,
                                            tt.TIPOTICKET
                                            FROM tbltickets t 
                                            LEFT JOIN tblticketcalendarios tc ON tc.id_ticket = t.id_ticket
                                            LEFT JOIN tblcalendarios c on c.ID_CALENDARIO = tc.ID_CALENDARIO 
                                            INNER JOIN tblpropiedades p ON p.ID_PROPIEDAD = t.ID_PROPIEDAD
                                            INNER JOIN tblpropietarios pro ON pro.ID_PROPIEDAD = p.ID_PROPIEDAD
                                            INNER JOIN tblpersonas per ON per.ID_PERSONA = pro.ID_PERSONA
                                            INNER JOIN tblmodelopropiedades m ON p.ID_MODELO = m.ID_MODELO
                                            INNER JOIN tbltipopropiedades tp ON tp.ID_TIPOPROPIEDAD = m.ID_TIPOPROPIEDAD
                                            INNER JOIN tblconfiguracionetapas ce ON ce.ID_DISENOETAPA = p.ID_DISENOETAPA
                                            INNER JOIN tblmodelounidadconstrucciones  me ON me.ID_MODELOUNIDADCONSTRUCCION = ce.ID_MODELOUNIDADCONSTRUCCION
                                            INNER JOIN tbletapas e ON e.ID_ETAPA = ce.ID_ETAPA
                                            INNER JOIN tblproyectos po ON po.ID_PROYECTO = e.ID_PROYECTO
                                            INNER JOIN tbltipotickets tt ON tt.ID_TIPOTICKET = t.ID_TIPOTICKET
                                            /*  TIPO DE CALENDARIO DEBE SER 1 PRIMERA VISITA ; Y EL ESTADO 1 QUE ESTA TOMADA  Y EL ESTADO DEL TICKET DEBE SER NUEVO*/
                                            WHERE /* t.ID_ESTADOTICKET = '1' OR t.ID_ESTADOTICKET =  '2'*/
                                            c.ESTADO = '1' AND pro.ID_PERSONA = '$id_persona'  AND c.FEC_INICIO >= NOW() 
                                            AND t.ID_ESTADOTICKET <> '3' AND t.ID_ESTADOTICKET <> '4'
                                            ORDER BY c.FEC_INICIO ASC");
     return $querypendientes;
  }

public function getUsuarios(){
   $queryusuarios = $this->read("SELECT p.ID_PERSONA,
                                        p.ID_TIPOPERSONA,
                                        p.ID_PERFIL, 
                                        p.RUT,
                                        p.DIRECCION, 
                                        p.TEL_FIJO, 
                                        p.EMAIL,
                                        p.FEC_REGISTRO, 
                                        p.USUARIO, 
                                        p.INICIALES, 
                                        p.ESTADO, 
                                        p.CONTRASEÑA,
                                        pn.NOMBRE,
                                        pn.APE_PATERNO,
                                        pn.APE_MATERNO
                                        FROM tblpersonas p
                                        INNER JOIN tblpernaturales pn ON pn.ID_PERNATURAL = p.ID_PERSONA
                                        WHERE p.ID_PERFIL <>  '7'
                                        ORDER BY pn.NOMBRE ASC");
     return $queryusuarios;
}

public function getUsuariospostventa($id_proyecto){
   $queryusuarios = $this->read("SELECT p.ID_PERSONA,
                                        p.ID_TIPOPERSONA,
                                        p.ID_PERFIL, 
                                        p.RUT,
                                        p.DIRECCION, 
                                        p.TEL_FIJO, 
                                        p.EMAIL,
                                        p.FEC_REGISTRO, 
                                        p.USUARIO, 
                                        p.INICIALES, 
                                        p.ESTADO, 
                                        p.CONTRASEÑA,
                                        pn.NOMBRE,
                                        pn.APE_PATERNO,
                                        pn.APE_MATERNO
                                        FROM tblpersonas p
                                        INNER JOIN tblpernaturales pn ON pn.ID_PERNATURAL = p.ID_PERSONA
                                        INNER JOIN tblusuariosxproyectos up ON up.ID_PERSONA = p.ID_PERSONA
                                        WHERE p.ID_PERFIL = '8' AND up.ID_PROYECTO = '$id_proyecto'
                                        AND p.Estado = 0
                                        ORDER BY pn.NOMBRE ASC");
     return $queryusuarios;
}

public function getUsuariospostventaAdmin($id_perfil, $id_persona){

  if($id_perfil == "8"){//PERFIL ES POSTVENTA 
      $queryusuarios = $this->read("SELECT distinct p.ID_PERSONA,
                                           p.ID_TIPOPERSONA,
                                           p.ID_PERFIL, 
                                           p.RUT,
                                           p.DIRECCION, 
                                           p.TEL_FIJO, 
                                           p.EMAIL,
                                           p.FEC_REGISTRO, 
                                           p.USUARIO, 
                                           p.INICIALES, 
                                           p.ESTADO, 
                                           p.CONTRASEÑA,
                                           pn.NOMBRE,
                                           pn.APE_PATERNO,
                                           pn.APE_MATERNO
                                           FROM tblpersonas p
                                           INNER JOIN tblpernaturales pn ON pn.ID_PERNATURAL = p.ID_PERSONA
                                           WHERE p.ID_PERFIL = '8' AND p.ID_PERSONA = '$id_persona' AND
                                            p.Estado = 0
                                           ORDER BY pn.NOMBRE ASC");
     return $queryusuarios;
  }else if($id_perfil == "10"){//PERFIL TERCERO , TODOS SUS PROYECTOS
          $queryusuarios = $this->read("SELECT 
                                         distinct 
                                          pn.NOMBRE,
                                          p.ID_PERSONA,
                                          p.ID_TIPOPERSONA,
                                          p.ID_PERFIL, 
                                          p.RUT,
                                          p.DIRECCION, 
                                          p.TEL_FIJO, 
                                          p.EMAIL,
                                          p.FEC_REGISTRO, 
                                          p.USUARIO, 
                                          p.INICIALES, 
                                          p.ESTADO, 
                                          p.CONTRASEÑA, 
                                          pn.APE_PATERNO,
                                          pn.APE_MATERNO,
                                          up.ID_PROYECTO
                                          FROM tblpersonas p
                                          INNER JOIN tblpernaturales pn ON pn.ID_PERNATURAL = p.ID_PERSONA
                                          INNER JOIN tblusuariosxproyectos up ON up.ID_PERSONA = p.ID_PERSONA
                                          WHERE up.ID_PROYECTO IN (
                                              SELECT  up.ID_PROYECTO
                                              FROM tblpersonas p
                                              INNER JOIN tblpernaturales pn ON pn.ID_PERNATURAL = p.ID_PERSONA
                                              INNER JOIN tblusuariosxproyectos up ON up.ID_PERSONA = p.ID_PERSONA
                                              WHERE  up.ID_PERSONA = '$id_persona') 
                                          AND  (p.id_perfil = '8') AND p.Estado = 0
                                          GROUP BY p.ID_PERSONA
                                          ORDER BY pn.NOMBRE ASC");
     return $queryusuarios;
  }else if($id_perfil == "6"){//administrador
      $queryusuarios = $this->read("SELECT distinct  p.ID_PERSONA,
                                          p.ID_TIPOPERSONA,
                                          p.ID_PERFIL, 
                                          p.RUT,
                                          p.DIRECCION, 
                                          p.TEL_FIJO, 
                                          p.EMAIL,
                                          p.FEC_REGISTRO, 
                                          p.USUARIO, 
                                          p.INICIALES, 
                                          p.ESTADO, 
                                          p.CONTRASEÑA,
                                          pn.NOMBRE,
                                          pn.APE_PATERNO,
                                          pn.APE_MATERNO
                                          FROM tblpersonas p
                                          INNER JOIN tblpernaturales pn ON pn.ID_PERNATURAL = p.ID_PERSONA
                                          WHERE p.ID_PERFIL = '8' AND  p.Estado = 0
                                          ORDER BY pn.NOMBRE ASC");
     return $queryusuarios;
  }
}

public function getAllusers(){
     $queryusuarios = $this->read("SELECT  distinct p.ID_PERSONA, 
                                           p.ID_TIPOPERSONA,
                                           p.ID_PERFIL,
                                           p.RUT,
                                           p.DIRECCION, 
                                           p.TEL_FIJO, 
                                           p.EMAIL, 
                                           p.FEC_REGISTRO,
                                           p.USUARIO, 
                                           p.INICIALES, 
                                           p.ESTADO, 
                                           p.CONTRASEÑA,
                                           pe.PERFIL,
                                           t.TIPOPERSONA,
                                           n.NOMBRE, 
                                           n.APE_PATERNO, 
                                           n.APE_MATERNO, 
                                           n.CELULAR, 
                                           n.TEL_OFICINA                        
                                          FROM tblpersonas p 
                                          INNER JOIN tblperfiles pe ON pe.ID_PERFIL = p.ID_PERFIL  /*AND pe.ID_PERFIL = '6' AND pe.ID_PERFIL = '8' AND pe.ID_PERFIL = '9'*/                                          INNER JOIN tbltipopersonas t ON t.ID_TIPOPERSONA = p.ID_TIPOPERSONA
                                          INNER JOIN tblpernaturales n ON n.ID_PERNATURAL = p.ID_PERSONA 
                                          WHERE pe.ID_PERFIL <> '7'");
     return $queryusuarios;
}

public function getPersonas(){
     $queryusuarios = $this->read("SELECT  p.ID_PERSONA, 
                                           p.ID_TIPOPERSONA,
                                           p.ID_PERFIL,
                                           p.RUT,
                                           p.DIRECCION, 
                                           p.TEL_FIJO, 
                                           p.EMAIL, 
                                           n.NOMBRE, 
                                           n.APE_PATERNO, 
                                           n.APE_MATERNO, 
                                           n.CELULAR, 
                                           pro.PRO_VENTA                       
                                          FROM tblpersonas p 
                                          INNER JOIN tblperfiles pe ON pe.ID_PERFIL = p.ID_PERFIL  /*AND pe.ID_PERFIL = '6' AND pe.ID_PERFIL = '8' AND pe.ID_PERFIL = '9'*/                                          INNER JOIN tbltipopersonas t ON t.ID_TIPOPERSONA = p.ID_TIPOPERSONA
                                          INNER JOIN tblpernaturales n ON n.ID_PERNATURAL = p.ID_PERSONA 
                                          LEFT JOIN tblpropietarios pro ON pro.ID_PERSONA = p.ID_PERSONA 
                                          WHERE pe.ID_PERFIL = '7'");
     return $queryusuarios;
}


public function getProfesionales(){
   $queryusuarios = $this->read("SELECT  p.ID_PERSONA, 
                                           p.ID_TIPOPERSONA,
                                           p.ID_PERFIL,
                                           p.RUT,
                                           p.DIRECCION, 
                                           p.TEL_FIJO, 
                                           p.EMAIL, 
                                           p.FEC_REGISTRO,
                                           p.USUARIO, 
                                           p.INICIALES, 
                                           p.ESTADO, 
                                           p.CONTRASEÑA,
                                           pe.PERFIL,
                                           t.TIPOPERSONA,
                                           n.NOMBRE, 
                                           n.APE_PATERNO, 
                                           n.APE_MATERNO, 
                                           n.CELULAR, 
                                           n.TEL_OFICINA                        
                                          FROM tblpersonas p 
                                          INNER JOIN tblperfiles pe ON pe.ID_PERFIL = p.ID_PERFIL  /*AND pe.ID_PERFIL = '6' AND pe.ID_PERFIL = '8' AND pe.ID_PERFIL = '9'*/                                          INNER JOIN tbltipopersonas t ON t.ID_TIPOPERSONA = p.ID_TIPOPERSONA
                                          INNER JOIN tblpernaturales n ON n.ID_PERNATURAL = p.ID_PERSONA 
                                          WHERE pe.ID_PERFIL =  '9'");
     return $queryusuarios;



}


public function getperfiles(){
    $queryperfiles = $this->read("SELECT ID_PERFIL, PERFIL FROM tblperfiles WHERE ID_PERFIL <> 7");
     return $queryperfiles;
}


public function nuevaPersona($nombre,$ape_paterno,$ape_materno,$celular,$tel_oficina,$perfil,$rut,$direccion,$tel_fijo,
                          $email,$usuario,$iniciales,$contraseña,$id_tipopersona,$fecharegistro){
$querypersona ="INSERT INTO tblpersonas(ID_TIPOPERSONA, ID_PERFIL, RUT, DIRECCION, TEL_FIJO, EMAIL, 
                            FEC_REGISTRO, USUARIO, INICIALES, ESTADO, CONTRASEÑA)
               VALUES ('$id_tipopersona','$perfil','$rut','$direccion','$tel_fijo','$email','$fecharegistro',
                      '$usuario','$iniciales','0','$contraseña')";

    if(mysql_query($querypersona)){
      $id_pernatural = mysql_insert_id();
      $querynatural = "INSERT INTO tblpernaturales(ID_PERNATURAL, NOMBRE, APE_PATERNO, APE_MATERNO, CELULAR, TEL_OFICINA) 
                      VALUES ('$id_pernatural','$nombre','$ape_paterno','$ape_materno','$celular','$tel_oficina')";
          if(mysql_query($querynatural)){
              return "1";
          }else{
            return mysql_error();
          }

    }else{
      return mysql_error();
    }

}





public function setUsuario($nombre,$ape_paterno,$ape_materno,$celular,$tel_oficina,$perfil,$rut,$direccion,$tel_fijo,
                          $email,$usuario,$iniciales,$contraseña,$id_tipopersona,$fecharegistro,$lista_proyectos,$lista_profesionales){

$querypersona ="INSERT INTO tblpersonas(ID_TIPOPERSONA, ID_PERFIL, RUT, DIRECCION, TEL_FIJO, EMAIL, 
                            FEC_REGISTRO, USUARIO, INICIALES, ESTADO, CONTRASEÑA)
               VALUES ('$id_tipopersona','$perfil','$rut','$direccion','$tel_fijo','$email','$fecharegistro',
                      '$usuario','$iniciales','0','$contraseña')";

    if(mysql_query($querypersona)){
      $id_pernatural = mysql_insert_id();
      $querynatural = "INSERT INTO tblpernaturales(ID_PERNATURAL, NOMBRE, APE_PATERNO, APE_MATERNO, CELULAR, TEL_OFICINA) 
                      VALUES ('$id_pernatural','$nombre','$ape_paterno','$ape_materno','$celular','$tel_oficina')";
          if(mysql_query($querynatural)){

                 if(empty($lista_proyectos)){
                      
                 }else{
                        for ($i=0;$i<count($lista_proyectos); $i++){
                        $id_proyecto = $lista_proyectos[$i]['id_proyecto'];
                        $queryusuarioxproyecto = "INSERT INTO tblusuariosxproyectos(ID_PERSONA,ID_PROYECTO)
                                                       VALUES ('$id_pernatural','$id_proyecto')";
                           if(mysql_query($queryusuarioxproyecto)){  
                            }else{
                                return mysql_error();
                            }
                         }
                 }
                 if(empty($lista_profesionales)){    
                 }else{
                        for ($i=0;$i<count($lista_profesionales); $i++){
                        $id_profesional = $lista_profesionales[$i]['id_profesional'];
                        $queryprofesional = "INSERT INTO tblpersonaprofesionales(ID_POSTVENTA, ID_PROFESIONAL)
                                             VALUES ('$id_pernatural','$id_profesional')";
                           if(mysql_query($queryprofesional)){  
                            }else{
                                return mysql_error();
                            }
                         }
              
                 }

          }else{

            return mysql_error();
          }

    }else{
      return mysql_error();
    }
}

public function updateusuario($id_persona,$usuario){
     $updateusuario = "UPDATE tblpersonas SET USUARIO= '$usuario'
                            WHERE ID_PERSONA = '$id_persona'";
     if(mysql_query($updateusuario)){
        return "1";
     }else{
      return mysql_errno();
     }
}
public function updatenombre($id_persona,$nombre){
     $updateusuario = "UPDATE tblpernaturales SET NOMBRE='$nombre'
                            WHERE ID_PERNATURAL = '$id_persona'";
     if(mysql_query($updateusuario)){
        return "1";
     }else{
      return mysql_errno();
     }
}

public function updateape_paterno($id_persona,$ape_paterno){
       $updateusuario = "UPDATE tblpernaturales SET APE_PATERNO='$ape_paterno'
                            WHERE ID_PERNATURAL = '$id_persona'";
     if(mysql_query($updateusuario)){
        return "1";
     }else{
      return mysql_errno();
     }
}
public function updateape_materno($id_persona,$ape_materno){
    $updateusuario = "UPDATE tblpernaturales SET APE_MATERNO='$ape_materno'
                            WHERE ID_PERNATURAL = '$id_persona'";
     if(mysql_query($updateusuario)){
        return "1";
     }else{
      return mysql_errno();
     }
}
public function updateemail($id_persona,$email){
  $updateusuario = "UPDATE tblpersonas SET EMAIL='$email'
                            WHERE ID_PERSONA = '$id_persona'";
     if(mysql_query($updateusuario)){
        return "1";
     }else{
      return mysql_errno();
     }
}
public function updatecelular($id_persona,$celular){
         $updateusuario = "UPDATE tblpernaturales SET CELULAR='$celular'
                            WHERE ID_PERNATURAL = '$id_persona'";
     if(mysql_query($updateusuario)){
        return "1";
     }else{
      return mysql_errno();
     }
}
public function setEstado($id_persona,$estado){
   $updateusuario = "UPDATE tblpersonas SET ESTADO='$estado'
                            WHERE ID_PERSONA = '$id_persona'";
     if(mysql_query($updateusuario)){
        return "1";
     }else{
      return mysql_errno();
     }
}

public function restablecerpass($id_persona,$nuevapass){
  $updateusuario = "UPDATE tblpersonas SET CONTRASEÑA='$nuevapass'
                            WHERE ID_PERSONA = '$id_persona'";
     if(mysql_query($updateusuario)){
        return "1";
     }else{
      return mysql_errno();
     }
}

public function updateperfil($id_persona,$perfil){
   $updateusuario = "UPDATE tblpersonas SET ID_PERFIL='$perfil'
                            WHERE ID_PERSONA = '$id_persona'";
     if(mysql_query($updateusuario)){
        return "1";
     }else{
      return mysql_errno();
     }
}
//UPDATE JURIDICA
public function updaterazonsocial($id_persona,$razonsocial){
   $updateusuario = "UPDATE  tblperjuridicas  SET  RAZ_SOCIAL ='$razonsocial' WHERE ID_JURIDICA = '$id_persona'";
     if(mysql_query($updateusuario)){
        return "1";
     }else{
      return mysql_errno();
     }
}
public function updatefax($id_persona,$fax){
      $updateusuario = "UPDATE  tblperjuridicas  SET  FAX ='$fax' WHERE ID_JURIDICA = '$id_persona'";
     if(mysql_query($updateusuario)){
        return "1";
     }else{
      return mysql_errno();
     }
}
public function updatetelefono($id_persona,$telefono){
   $updateusuario = "UPDATE tblpersonas SET TEL_FIJO='$telefono'
                            WHERE ID_PERSONA = '$id_persona'";
     if(mysql_query($updateusuario)){
        return "1";
     }else{
      return mysql_errno();
     }
}







public function getUsuarioxProyecto($id_persona){
     $queryusuarioxproyecto = $this->read("SELECT ID_USUARIOXPROYECTO, ID_PERSONA, ID_PROYECTO FROM tblusuariosxproyectos WHERE ID_PERSONA = '$id_persona'");
     return $queryusuarioxproyecto;
}


public function updateusuarioxproyecto($id_persona,$lista){
    $querydelete = "DELETE FROM tblusuariosxproyectos WHERE  ID_PERSONA = '$id_persona'";
    if(mysql_query($querydelete)){
         for ($i=0;$i<count($lista); $i++){
            $id_proyecto = $lista[$i]['id_proyecto'];
            $queryticket = "INSERT INTO tblusuariosxproyectos(ID_PERSONA,ID_PROYECTO)
                                           VALUES ('$id_persona','$id_proyecto')";
               if(mysql_query($queryticket)){  
                }else{
                    return mysql_error();
                }
             }
    }else{
      return mysql_error();
    }

}

public function getpostventaxprofesionales($id_persona){
     $queryprofesional = $this->read("SELECT pr.ID_POSTVENTA, 
                                          pr.ID_PROFESIONAL,
                                          p.ID_PERSONA ,
                                          n.NOMBRE, 
                                          n.APE_PATERNO,
                                          n.APE_MATERNO, 
                                          n.CELULAR, 
                                          n.TEL_OFICINA FROM   tblpersonaprofesionales pr 
                                          INNER JOIN tblpersonas p ON p.ID_PERSONA = pr.ID_PROFESIONAL
                                          INNER JOIN tblpernaturales n ON n.ID_PERNATURAL = p.ID_PERSONA
                                          WHERE pr.ID_POSTVENTA = '$id_persona'");
     return $queryprofesional;
}





public function updatepostventaxprofesional($id_persona,$lista){
    $querydelete = "DELETE  FROM  tblpersonaprofesionales  WHERE ID_POSTVENTA = '$id_persona'";
    if(mysql_query($querydelete)){
         for ($i=0;$i<count($lista); $i++){
            $id_profesional = $lista[$i]['id_profesional'];
            $queryprofesional = "INSERT INTO tblpersonaprofesionales(ID_POSTVENTA, ID_PROFESIONAL)
                                 VALUES ('$id_persona','$id_profesional')";
               if(mysql_query($queryprofesional)){  
                }else{
                    return mysql_error();
                }
             }
    }else{
      return mysql_error();
    }

}



public function setusuarioJuridico($razonsocial,$fax,$tel_oficina,$rut,$direccion,$tel_fijo,$email,$id_tipopersona,$perfil,$fecharegistro){

$querypersona ="INSERT INTO tblpersonas(ID_TIPOPERSONA, ID_PERFIL, RUT, DIRECCION, TEL_FIJO, EMAIL, 
                            FEC_REGISTRO, USUARIO, INICIALES, ESTADO, CONTRASEÑA)
               VALUES ('$id_tipopersona','$perfil','$rut','$direccion','$tel_fijo','$email','$fecharegistro',
                      '','','0','')";
    if(mysql_query($querypersona)){
      $id_juridica = mysql_insert_id();
      $querynatural = "INSERT INTO  tblperjuridicas ( ID_JURIDICA ,  RAZ_SOCIAL ,  FAX ) VALUES
                               ('$id_juridica','$razonsocial','$fax')";
          if(mysql_query($querynatural)){
              return "1";
          }else{

            return mysql_error();
          }

    }else{
      return mysql_error();
    }
}

public function getJuridico(){
     $queryusuarios = $this->read("SELECT  p.ID_PERSONA, 
                                           p.ID_TIPOPERSONA,
                                           p.ID_PERFIL,
                                           p.RUT,
                                           p.DIRECCION, 
                                           p.TEL_FIJO, 
                                           p.EMAIL, 
                                           p.FEC_REGISTRO,
                                           p.USUARIO, 
                                           p.INICIALES, 
                                           p.ESTADO, 
                                           p.CONTRASEÑA,
                                           t.TIPOPERSONA,
                                           j.RAZ_SOCIAL,
                                           j.FAX
                                          FROM tblpersonas p 
                                          INNER JOIN tblperjuridicas j ON j.ID_JURIDICA = p.ID_PERSONA 
                                          INNER JOIN tbltipopersonas t ON t.ID_TIPOPERSONA = p.ID_TIPOPERSONA
                                          WHERE p.ID_TIPOPERSONA ='2'");
     return $queryusuarios;
}



//UTILIDADES
   public function getUtilidadesBYRUT($rut){
     $querypersona =$this->read("SELECT p.ID_PERSONA, p.ID_TIPOPERSONA, p.ID_PERFIL, p.RUT, p.DIRECCION, p.TEL_FIJO, p.EMAIL, 
                                      p.FEC_REGISTRO, p.USUARIO, p.INICIALES, p.ESTADO, p.CONTRASEÑA,pe.PERFIL,t.TIPOPERSONA,
                                      n.NOMBRE, n.APE_PATERNO, n.APE_MATERNO, n.CELULAR, n.TEL_OFICINA,pro.PRO_VENTA                     
                                FROM tblpersonas p 
                                INNER JOIN tblperfiles pe ON pe.ID_PERFIL = p.ID_PERFIL
                                INNER JOIN tbltipopersonas t ON t.ID_TIPOPERSONA = p.ID_TIPOPERSONA
                                INNER JOIN tblpernaturales n ON n.ID_PERNATURAL = p.ID_PERSONA 
                                LEFT JOIN tblpropietarios pro ON pro.ID_PERSONA = p.ID_PERSONA
                                WHERE p.RUT ='$rut' AND pe.ID_PERFIL = '7'");
    return $querypersona;
  }


public function UpdateClientes($data){
  
      for ($i=0;$i<count($data); $i++){
          $rut = $data[$i]['RUT'];
          $nombre = $data[$i]['NOMBRE'];
          $ape_paterno = $data[$i]['APE_PATERNO'];
          $ape_materno = $data[$i]['APE_MATERNO'];
          $email = $data[$i]['EMAIL'];
          $celular = $data[$i]['CELULAR'];
          $tel_oficina = $data[$i]['TEL_OFICINA'];
          $direccion = $data[$i]['DIRECCION'];
          $id_persona =$this->Buscarpersona($rut);
            if($id_persona == "0"){
            //no existe
            }else{
              //Existe , se Actualiza
              $queryupdatepersona = "UPDATE tblpersonas SET DIRECCION='$direccion',EMAIL='$email' WHERE ID_PERSONA = '$id_persona'";

              if(mysql_query($queryupdatepersona)){
                $querypernatural = "UPDATE tblpernaturales SET NOMBRE='$nombre',APE_PATERNO='$ape_paterno', APE_MATERNO='$ape_materno',CELULAR='$celular',
                                                            TEL_OFICINA='$tel_oficina' WHERE ID_PERNATURAL = '$id_persona'";
                  if(mysql_query($querypernatural)){
                    
                  }else{
                    return mysql_error();
                  }


              }else{
                return mysql_error();
              }

            }
       }
       return "1";
            
}



public function Buscarpersona($rut){
    $querysaber = $this->read("SELECT ID_PERSONA FROM tblpersonas WHERE RUT = '$rut'"); 
    $valor = "";
      if(empty($querysaber)){
          $valor = 0;
      }else{
          for($i =0;$i<count($querysaber);$i++){
            $valor= $querysaber[$i]['ID_PERSONA'];
          } 
      }
      return trim($valor);
}



// public function nuevaPropiedad($id_proyecto,$id_disenoetapa,$id_modelo,$numero,$piso,$obspreentrega,$obsentrega,
//                     $id_propietario){
//       $querypropiedad ="INSERT INTO tblpropiedades(ID_DISENOETAPA, ID_MODELO, NUMERO, OBS_PREENTREGA, 
//                                                             OBS_ENTREGA, PISO) 
//                       VALUES ('$id_disenoetapa','$id_modelo','$numero','$obspreentrega','$obsentrega','$piso')";
//     if(mysql_query($querypropiedad)){
//               //LE VAMOS ASIGNAR EL DUENO A LA PROPIEDAD
//               $id_propiedad = mysql_insert_id();
//               $proceso_autogenerado=mt_rand(1,9999);
//               $querypropietario = "INSERT INTO tblpropietarios(ID_PERSONA, ID_PROPIEDAD, PRO_VENTA) 
//                                         VALUES ('$id_propietario','$id_propiedad','$proceso_autogenerado')";
//               if(mysql_query($querypropietario)){
//                     return "1";
//               }else{
//                 return mysql_error();
//               }
//     } else{
//       return mysql_error();
//     }
// }



 private function read($sql){
  $resultado = mysql_query($sql); 
   if(mysql_num_rows($resultado)> 0){
     while($fila = mysql_fetch_array($resultado)){
         $arreglo[] =$fila;
       }
         return $arreglo;
   }else{
     return "0";
   }
  }

  private function conectar(){
  $this->conexion = mysql_connect($this->servidor,$this->usuario,$this->password);
  mysql_select_db($this->base_datos,$this->conexion);
  @mysql_query("SET NAMES 'utf8'");
 }


}
?>